////////////////////////////////////////////////////////////////////////////////////////
// Discovery Manual Extracts for CIMS Canada
// v 2.0.0.1
//
////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////
// Export Creator
//

#pragma creator CIMSCN 2.0.0.1

////////////////////////////////////////////////////////////////////////////////////////
// Export formatting
//

#pragma dateformat YYMMDD


#pragma minversion "7.2.3"


////////////////////////////////////////////////////////////////////////////////////////
// Custom Fields
//

#customgradefield "GR01" "GR01"
#customgradefield "GR02" "GR02"
#customgradefield "GR03" "GR03"
#customgradefield "GR04" "GR04"
#customgradefield "GR05" "GR05"
#customgradefield "GR06" "GR06"
#customgradefield "GR07" "GR07"
#customgradefield "GR08" "GR08"
#customgradefield "GR09" "GR09"
#customgradefield "GR10" "GR10"
#customgradefield "GR11" "GR11"
#customgradefield "GR12" "GR12"
#customgradefield "GR13" "GR13"
#customgradefield "GR14" "GR14"
#customgradefield "GR15" "GR15"
#customgradefield "GR16" "GR16"
#customgradefield "GR17" "GR17"
#customgradefield "GR18" "GR18"
#customgradefield "GR19" "GR19"
#customgradefield "GR20" "GR20"
#customgradefield "GR21" "GR21"
#customgradefield "GR22" "GR22"
#customgradefield "GR23" "GR23"
#customgradefield "GR24" "GR24"


#customcomfield "Phone" "Phone" "phone"
#customcomfield "WorkPhone" "Work Phone" "phone"
#customcomfield "HomePhone" "Home Phone" "phone"
#customcomfield "Email" "Email" "email"
#customcomfield "HasAMedAlert" "Med Alert" "noformat"

#custommedfield "MedFamilyNum" "Med Family #" "noformat"
#custommedfield "MedPersonalNum" "Med Personal #" "noformat"

#customcomfield "NetID" "Network ID" "noformat"
#customcomfield "NetPassword" "Net Password" "noformat"

#customcomfield "SPNC" "Spec.Needs" "noformat"
#customcomfield "BAND" "Native Band" "noformat"
#customcomfield "RESD" "Res.Divison" "noformat"
#customcomfield "ENRT" "Enroll Type" "noformat"
#customschoolfield "DAMA" "Days Abs AM" "noformat"
#customschoolfield "DPMA" "Days Abs PM" "noformat"
#customschoolfield "Lates" "Lates" "noformat"


#customcomfield "MPG1" "MPG1" "noformat"
#customcomfield "MPG2" "MPG2" "noformat"
#customcomfield "MPG3" "MPG3" "noformat"
#customcomfield "MPG4" "MPG4" "noformat"
#customcomfield "MPG5" "MPG5" "noformat"
#customcomfield "MPG6" "MPG6" "noformat"
#customcomfield "MPG7" "MPG7" "noformat"
#customcomfield "MPG8" "MPG8" "noformat"

#customcomfield "HasAMedAlert" "Med Alert?" "noformat"
#customschoolfield "Restricted" "Restricted" "noformat"
#customschoolfield "OwesFees" "Owes Fees" "noformat"
#customschoolfield "LSN" "LSN" "noformat"
#customschoolfield "LFN" "LFN" "noformat"
#customschoolfield "LMN" "LMN" "noformat"
#customschoolfield "AUDD" "AUDD" "noformat"

////////////////////////////////////////////////////////////////////////////////////////
// Import Files and Headers
//


// Student Demographics
xStdKey,xIgnore,StdLastName,StdFirstName,StdHasAMedAlert,StdRestricted,xStdClass,StdHRRoomNum,StdHRStaffRef,xStdHRTchName,StdLocker,StdOwesFees,xStdAbsent,StdLates,StdBirthDate,xStdAge,StdHomePhone,StdAddress1+" "+StreetNum+" "+StreetName,StreetNum,StreetName,StdMailAddress1,StdCity,StdState,StdZip,xStdGuard1FName,xStdGuard1LName,xStdGuard1WorkPh,xStdGuard2FName,xStdGuard2LName,xStdGuard2WorkPh,StdGradeLevel,SchlKey,StdStateId,StdEnterDate,StdEmail,StdNetID,StdNetPassword,StdDAMA,StdDPMA,xG1Email,xG2Email,StdLSN,StdLFN,StdLMN,StdSex,StdSPNC,StdMPG1,StdMPG2,StdMPG3,StdMPG4,StdMPG5,StdMPG6,StdMPG7,StdMPG8,StdBAND,StdRESD,StdENRT,StdAUDD,StdKey
#include "studa.csv"
*

// Student Guardian 1
xStdKey,xIgnore,xStdLastName,xStdFirstName,xStdMedAlert,xStdRestricted,xStdClass,xStdHRRoomNum,xStdHRTchRef,xStdHRTchName,xStdLocker,xStdOwesFees,xStdAbsent,xStdLates,xStdBirthDate,xStdAge,xStdHomePh,xStdAddress1,xStreetNum,xStreetName,xStdMailAddress1,xStdCity,xStdState,xStdZip,ConFirstName,ConLastName,ConWorkPhone,xStdGuard2FName,xStdGuard2LName,xStdGuard2WorkPh,xStdGradeLevel,SchlKey,xMinistryNum,xStdEnterDate,xStdEmail,xStdNetID,xStdNetPassword,xStdDAMA,xStdDPMA,xG1Email,xG2Email,xStdLSN,xStdLFN,xStdLMN,xStdSex,xStdSPNC,xStdMPG1,xStdMPG2,xStdMPG3,xStdMPG4,xStdMPG5,xStdMPG6,xStdMPG7,xStdMPG8,xStdBAND,xStdRESD,xStdENRT,xStdAUDD,ConStdRef,ConKey+'G1',ConRelationship+"Guardian1",ConType+'Family'
#include "studa.csv"
*

// Student Guardian 2
xStdKey,xIgnore,xStdLastName,xStdFirstName,xStdMedAlert,xStdRestricted,xStdClass,xStdHRRoomNum,xStdHRTchRef,xStdHRTchName,xStdLocker,xStdOwesFees,xStdAbsent,xStdLates,xStdBirthDate,xStdAge,xStdHomePh,xStdAddress1,xStreetNum,xStreetName,xStdMailAddress1,xStdCity,xStdState,xStdZip,xG1FirstName,xG1LastName,xG1WorkPhone,ConFirstName,ConLastName,ConWorkPhone,xStdGradeLevel,SchlKey,xMinistryNum,xStdEnterDate,xStdEmail,xStdNetID,xStdNetPassword,xStdDAMA,xStdDPMA,xG1Email,xG2Email,xStdLSN,xStdLFN,xStdLMN,xStdSex,xStdSPNC,xStdMPG1,xStdMPG2,xStdMPG3,xStdMPG4,xStdMPG5,xStdMPG6,xStdMPG7,xStdMPG8,xStdBAND,xStdRESD,xStdENRT,xStdAUDD,ConStdRef,ConKey+'G2',ConRelationship+"Guardian2",ConType+'Family'
#include "studa.csv"
*

// Student Medical
xStdKey,xIgnore,xStdLastName,xStdFirstName,xMedCodeDesc1,xMedCodeDesc2,xMedCodeDesc3,xMedCodeDesc4,xMedCodeDesc5,StdMedAlert+HealthInfo2+HealthInfo3+HealthInfo4+HealthInfo5,HealthInfo2,HealthInfo3,HealthInfo4,HealthInfo5,xHomePhone,xGuard1Ph,xGuard2Ph,xEmergCon1Name,xEmergCon1Rel,xEmergCon1Ph,xEmergCon2Name,xEmergCon2Rel,xEmergCon2Ph,xDoctorName,xDoctorPhone,StdMedFamilyNum,StdMedPersonalNum,SchlKey,xG1FName,xG1LName,xG1Rel,xG2FName,xG2LName,xG2Rel,xdapt,xdstn,xdstr,xmailstr,xdcity,xdstate, xdzip,xbdate,xsex,xminnum,StdKey
#include "studm.csv"
*


// Student Medical Conditions 1
xStdKey,xIgnore,xStdLastName,xStdFirstName,MedConditTypeRef,xMedCodeDesc2,xMedCodeDesc3,xMedCodeDesc4,xMedCodeDesc5,xHealthInfo1,xHealthInfo2,xHealthInfo3,xHealthInfo4,xHealthInfo5,xHomePhone,xGuard1Ph,xGuard2Ph,xEmergCon1Name,xEmergCon1Rel,xEmergCon1Ph,xEmergCon2Name,xEmergCon2Rel,xEmergCon2Ph,xDoctorName,xDoctorPhone,StdMedFamilyNum,StdMedPersonalNum,SchlKey,xG1FName,xG1LName,xG1Rel,xG2FName,xG2LName,xG2Rel,xdapt,xdstn,xdstr,xmailstr,xdcity,xdstate, xdzip,xbdate,xsex,xminnum,MedConditStdRef,MedConditSeverity+'ALERT'
#include "studm.csv"
*

// Student Medical Conditions 2
xStdKey,xIgnore,xStdLastName,xStdFirstName,xMedCodeDesc1,MedConditTypeRef,xMedCodeDesc3,xMedCodeDesc4,xMedCodeDesc5,xHealthInfo1,xHealthInfo2,xHealthInfo3,xHealthInfo4,xHealthInfo5,xHomePhone,xGuard1Ph,xGuard2Ph,xEmergCon1Name,xEmergCon1Rel,xEmergCon1Ph,xEmergCon2Name,xEmergCon2Rel,xEmergCon2Ph,xDoctorName,xDoctorPhone,StdMedFamilyNum,StdMedPersonalNum,SchlKey,xG1FName,xG1LName,xG1Rel,xG2FName,xG2LName,xG2Rel,xdapt,xdstn,xdstr,xmailstr,xdcity,xdstate, xdzip,xbdate,xsex,xminnum,MedConditStdRef,MedConditSeverity+'ALERT'
#include "studm.csv"
*

// Student Medical Conditions 3
xStdKey,xIgnore,xStdLastName,xStdFirstName,xMedCodeDesc1,xMedCodeDesc2,MedConditTypeRef,xMedCodeDesc4,xMedCodeDesc5,xHealthInfo1,xHealthInfo2,xHealthInfo3,xHealthInfo4,xHealthInfo5,xHomePhone,xGuard1Ph,xGuard2Ph,xEmergCon1Name,xEmergCon1Rel,xEmergCon1Ph,xEmergCon2Name,xEmergCon2Rel,xEmergCon2Ph,xDoctorName,xDoctorPhone,StdMedFamilyNum,StdMedPersonalNum,SchlKey,xG1FName,xG1LName,xG1Rel,xG2FName,xG2LName,xG2Rel,xdapt,xdstn,xdstr,xmailstr,xdcity,xdstate, xdzip,xbdate,xsex,xminnum,MedConditStdRef,MedConditSeverity+'ALERT'
#include "studm.csv"
*

// Student Medical Conditions 4
xStdKey,xIgnore,xStdLastName,xStdFirstName,xMedCodeDesc1,xMedCodeDesc2,xMedCodeDesc3,MedConditTypeRef,xMedCodeDesc5,xHealthInfo1,xHealthInfo2,xHealthInfo3,xHealthInfo4,xHealthInfo5,xHomePhone,xGuard1Ph,xGuard2Ph,xEmergCon1Name,xEmergCon1Rel,xEmergCon1Ph,xEmergCon2Name,xEmergCon2Rel,xEmergCon2Ph,xDoctorName,xDoctorPhone,StdMedFamilyNum,StdMedPersonalNum,SchlKey,xG1FName,xG1LName,xG1Rel,xG2FName,xG2LName,xG2Rel,xdapt,xdstn,xdstr,xmailstr,xdcity,xdstate, xdzip,xbdate,xsex,xminnum,MedConditStdRef,MedConditSeverity+'ALERT'
#include "studm.csv"
*

// Student Medical Conditions 5
xStdKey,xIgnore,xStdLastName,xStdFirstName,xMedCodeDesc1,xMedCodeDesc2,xMedCodeDesc3,xMedCodeDesc4,MedConditTypeRef,xHealthInfo1,xHealthInfo2,xHealthInfo3,xHealthInfo4,xHealthInfo5,xHomePhone,xGuard1Ph,xGuard2Ph,xEmergCon1Name,xEmergCon1Rel,xEmergCon1Ph,xEmergCon2Name,xEmergCon2Rel,xEmergCon2Ph,xDoctorName,xDoctorPhone,StdMedFamilyNum,StdMedPersonalNum,SchlKey,xG1FName,xG1LName,xG1Rel,xG2FName,xG2LName,xG2Rel,xdapt,xdstn,xdstr,xmailstr,xdcity,xdstate, xdzip,xbdate,xsex,xminnum,MedConditStdRef,MedConditSeverity+'ALERT'
#include "studm.csv"
*

// Student Emergency Contact 1
xStdKey,xIgnore,xStdLastName,xStdFirstName,xMedCodeDesc1,xMedCodeDesc2,xMedCodeDesc3,xMedCodeDesc4,xMedCodeDesc5,xHealthInfo1,xHealthInfo2,xHealthInfo3,xHealthInfo4,xHealthInfo5,xStdHomePhone,xGuard1Ph,xGuard2Ph,ConFullName,ConRelationship,ConPhone,xEmergCon2Name,xEmergCon2Rel,xEmergCon2Ph,xDoctorName,xDoctorPhone,xStdMedFamilyNum,xStdMedPersonalNum,SchlKey,xG1FName,xG1LName,xG1Rel,xG2FName,xG2LName,xG2Rel,xdapt,xdstn,xdstr,xmailstr,xdcity,xdstate, xdzip,xbdate,xsex,xminnum,ConStdRef,ConKey+'E1',ConRelationship+"Emergency1",ConType+'Emergency'
#include "studm.csv"
*

// Student Emergency Contact 2
xStdKey,xIgnore,xStdLastName,xStdFirstName,xMedCodeDesc1,xMedCodeDesc2,xMedCodeDesc3,xMedCodeDesc4,xMedCodeDesc5,xHealthInfo1,xHealthInfo2,xHealthInfo3,xHealthInfo4,xHealthInfo5,xStdHomePhone,xGuard1Ph,xGuard2Ph,xem1Name,xem1Rel,xem1Phone,ConFullName,ConRelationship,ConPhone,xDoctorName,xDoctorPhone,xStdMedFamilyNum,xStdMedPersonalNum,SchlKey,xG1FName,xG1LName,xG1Rel,xG2FName,xG2LName,xG2Rel,xdapt,xdstn,xdstr,xmailstr,xdcity,xdstate, xdzip,xbdate,xsex,xminnum,ConStdRef,ConKey+'E2',ConRelationship+"Emergency2",ConType+'Emergency'
#include "studm.csv"
*

// Student Doctor
xStdKey,xIgnore,xStdLastName,xStdFirstName,xMedCodeDesc1,xMedCodeDesc2,xMedCodeDesc3,xMedCodeDesc4,xMedCodeDesc5,xHealthInfo1,xHealthInfo2,xHealthInfo3,xHealthInfo4,xHealthInfo5,xStdHomePhone,xGuard1Ph,xGuard2Ph,xem1Name,xem1Rel,xem1Phone,xem2Name,xem2Rel,xem2Phone,ConFullName,ConPhone,ConRelationship="Doctor",xStdMedPersonalNum,SchlKey,xG1FName,xG1LName,xG1Rel,xG2FName,xG2LName,xG2Rel,ConAddress1,ConAddress2+' '+Street,Street,ConMailAddress1,ConCity,ConState,ConZip,xbdate,xsex,xminnum,ConStdRef,ConKey+'D',ConRelationship+"Doctor",ConType+'Health',ConDontContact+'Y'
#include "studm.csv"
*

// Student Schedules
xStdKey,xIgnore,xStdLastName,xStdFirstName,StdSecRef+'-'+Section,Section,xCrsName,xSecTermRef,xSlot,xSecRoomNum,xSecStaffhRef,xSecStaffName,xgrade,xunknown,xAbsUnex,xAbsExc,xABSE,xLates,xADDD,xDRPD,SchlKey,xGR01,xGR02,xGR03,xGR04,xGR05,xGR06,xGR07,xGR08,xGR09,xGR10,xGR11,xGR12,xGR13,xGR14,xGR15,xGR16,xGR17,xGR18,xGR19,xGR20,xGR21,xGR22,xGR23,xGR24,StdKey
#include "studb.csv"
*

// Sections
xStdKey,xIgnore,xStdLastName,xStdFirstName,SecKey+'-'+Section,Section,SecName,SecTermRef,SecPerRef,SecRoomNum,SecStaffRef,xSecStaffName,xgrade,xunknown,xAbsUnex,xAbsExc,xABSE,xLates,xADDD,xDRPD,SchlKey,xGR01,xGR02,xGR03,xGR04,xGR05,xGR06,xGR07,xGR08,xGR09,xGR10,xGR11,xGR12,xGR13,xGR14,xGR15,xGR16,xGR17,xGR18,xGR19,xGR20,xGR21,xGR22,xGR23,xGR24,xStdKey
#include "studb.csv"
*

// Student Grades and Summary Attendance
xStdKey,xIgnore,xStdLastName,xStdFirstName,GrdSecRef+'-'+Section,Section,xCrsName,GrdBinRef,xSlot,xSecRoomNum,xSecStaffRef,xSecStaffName,xgrade,xunknown,GrdUnexcAbs,GrdExcAbs,xABSE,GrdTardies,xADDD,xDRPD,SchlKey,GrdGR01,GrdGR02,GrdGR03,GrdGR04,GrdGR05,GrdGR06,GrdGR07,GrdGR08,GrdGR09,GrdGR10,GrdGR11,GrdGR12,GrdGR13,GrdGR14,GrdGR15,GrdGR16,GrdGR17,GrdGR18,GrdGR19,GrdGR20,GrdGR21,GrdGR22,GrdGR23,GrdGR24,GrdStdRef
#include "studb.csv"
*

// Teachers
StaffKey,xENUM,StaffLastName,StaffFirstName,StaffPhone,StaffPosition,StaffAddress1,StaffCity,StaffState,StaffZip,SchlKey
#include "tchd.csv"
*